%define name debootstrap
%define version 1.0.19
%define release %mkrel 1

Summary: Bootstrap a basic Debian system
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.debian.org/debian/pool/main/d/debootstrap/%{name}_%{version}.tar.gz
Source1: devices.tar.gz
License: MIT
Group: System/Configuration/Packaging
Url: http://packages.debian.org/unstable/admin/debootstrap
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
debootstrap is used to create a Debian base system from scratch,
without requiring the availability of dpkg or apt. It does this by
downloading .deb files from a mirror site, and carefully unpacking
them into a directory which can eventually be chrooted into.

%prep
%setup -q -n %{name}
perl -pi -e 's/ -o root -g root//' Makefile
perl -pi -e 's/^(\s+)(chown.*)$/$1#$2/g' Makefile
perl -pi -e 's/^(all:.*?)(\S+.tar.gz)$/$1/g' Makefile
perl -pi -e 's,qw\(%{_prefix}/lib /lib\),qw\(%{_libdir} /%{_lib}\),' functions
cp %{SOURCE1} .

%build
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -D -m 644 %{name}.8 %{buildroot}%{_mandir}/man8/%{name}.8

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc TODO
%{_sbindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man8/%{name}.8*


%changelog
* Mon Sep 28 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.19-1mdv2010.0
+ Revision: 450630
- update to new version 1.0.19

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.17-1mdv2010.0
+ Revision: 447985
- update to new version 1.0.17

* Thu Sep 03 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-2mdv2010.0
+ Revision: 427958
- rebuild

* Mon Sep 01 2008 Olivier Blin <oblin@mandriva.com> 1.0.10-1mdv2009.0
+ Revision: 278171
- 1.0.10

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.8-3mdv2009.0
+ Revision: 244023
- rebuild

* Sat Mar 01 2008 Olivier Blin <oblin@mandriva.com> 1.0.8-1mdv2008.1
+ Revision: 177384
- install man page
- adapt to arch-independant installation in datadir
- remove extra chown in Makefile
- use makeinstall_std (no arch dependency anymore)
- fix regexp removing devices.tar.gz from Makefile
- 1.08
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 1.0.1-1mdv2008.0
+ Revision: 58234
- 1.0.1
- make install-arch to install devices.tar.gz and pkgdetails
- use devices.tar.gz tarball from Debian binary package
- run make

* Mon Jul 23 2007 Olivier Blin <oblin@mandriva.com> 1.0.0-1mdv2008.0
+ Revision: 54664
- initial debootstrap package
- Create debootstrap

